Device Activity​
POST
/reports/activity
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Request Body​
application/x-www-form-urlencoded
deviceId
number
Required
The device id to get the data for
Format
""dateRange
string
Required
The date range to get the data for, in epoch milliseconds, [start, end]
Format
"JSON"parameters
string
Optional parameters, as JSON object, use the APP and developer console to see the options
Format
"JSON"POST
/reports/activity
Request example
Responses​
Request was successful
application/json
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
Try this endpoint
OpenAPI definition ​
References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).
View endpoint OpenAPI definition
openapi: 3.1.0
info:
version: 1.1.0
title: TrackingAPI
description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
- url: https://api.lightbug.cloud/api
externalDocs: {}
security:
- ApiKeyAuth: []
tags: []
paths:
/reports/activity:
post:
tags:
- reportsrequestBody:
content:
application/x-www-form-urlencoded:
schema:
type: object
properties:
deviceId:
description: The device id to get the data for
type: number
format: ''
dateRange:
description: The date range to get the data for, in epoch milliseconds, [start, end]
type: string
format: JSON
parameters:
description: Optional parameters, as JSON object, use the APP and developer console to see the options
type: string
format: JSON
required:
- deviceId
- dateRange
required: true responses:'200':
description: Request was successful
content:
application/json:
schema:
type: object
properties:
'off':
type: object
properties:
time:
type: number
distance:
type: number
idle:
type: object
properties:
time:
type: number
distance:
type: number
movingWithIgnitionOn:
type: object
properties:
time:
type: number
distance:
type: number
movingWithIgnitionOff:
type: object
properties:
time:
type: number
distance:
type: number
log:
type: array
items:
type: object deprecated: false
security:
- ApiKeyAuth: []
operationId: post-reports-activity
summary: Device Activity
components:
securitySchemes:
ApiKeyAuth:
in: header
name: Authorization
type: apiKey
description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...